Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1043691 - [abrt] seahorse-3.10.1-1.fc20: handle_activate_result: Process /usr/bin/seahorse was killed by signal 11 (SIGSEGV)
Summary: [abrt] seahorse-3.10.1-1.fc20: handle_activate_result: Process /usr/bin/seaho...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: seahorse
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:653544a74f7af501229fbe0a8d5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 23:10 UTC by Tom Hughes
Modified: 2015-06-29 13:33 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:33:29 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (30.49 KB, text/plain)
2013-12-16 23:11 UTC, Tom Hughes
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-16 23:11 UTC, Tom Hughes
no flags Details
File: core_backtrace (16.60 KB, text/plain)
2013-12-16 23:11 UTC, Tom Hughes
no flags Details
File: dso_list (11.61 KB, text/plain)
2013-12-16 23:11 UTC, Tom Hughes
no flags Details
File: environ (1.03 KB, text/plain)
2013-12-16 23:11 UTC, Tom Hughes
no flags Details
File: exploitable (82 bytes, text/plain)
2013-12-16 23:11 UTC, Tom Hughes
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-16 23:11 UTC, Tom Hughes
no flags Details
File: maps (58.14 KB, text/plain)
2013-12-16 23:11 UTC, Tom Hughes
no flags Details
File: open_fds (1021 bytes, text/plain)
2013-12-16 23:11 UTC, Tom Hughes
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-12-16 23:11 UTC, Tom Hughes
no flags Details
File: var_log_messages (351 bytes, text/plain)
2013-12-16 23:11 UTC, Tom Hughes
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 737153 0 None None None Never
Red Hat Bugzilla 1062922 0 unspecified CLOSED [abrt] seahorse: gcr_collection_contains(): seahorse killed by SIGSEGV 2021-02-22 00:41:40 UTC

Internal Links: 1062922

Description Tom Hughes 2013-12-16 23:10:59 UTC
Description of problem:
Crash occurred when selecting a search result from the overview.

Version-Release number of selected component:
seahorse-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/seahorse --no-window
crash_function: handle_activate_result
executable:     /usr/bin/seahorse
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 handle_activate_result at seahorse-search-provider.c:286
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:522
 #3 g_cclosure_marshal_generic at gclosure.c:1454
 #6 g_signal_emitv at gsignal.c:3063
 #7 _seahorse_shell_search_provider2_skeleton_handle_method_call at seahorse-shell-search-provider-generated.c:1656
 #8 g_dbus_interface_method_dispatch_helper at gdbusinterfaceskeleton.c:609
 #9 skeleton_intercept_handle_method_call at gdbusinterfaceskeleton.c:650
 #10 call_in_idle_cb at gdbusconnection.c:4868
 #14 g_main_context_iteration at gmain.c:3774

Comment 1 Tom Hughes 2013-12-16 23:11:08 UTC
Created attachment 837456 [details]
File: backtrace

Comment 2 Tom Hughes 2013-12-16 23:11:10 UTC
Created attachment 837457 [details]
File: cgroup

Comment 3 Tom Hughes 2013-12-16 23:11:12 UTC
Created attachment 837458 [details]
File: core_backtrace

Comment 4 Tom Hughes 2013-12-16 23:11:14 UTC
Created attachment 837459 [details]
File: dso_list

Comment 5 Tom Hughes 2013-12-16 23:11:16 UTC
Created attachment 837460 [details]
File: environ

Comment 6 Tom Hughes 2013-12-16 23:11:18 UTC
Created attachment 837461 [details]
File: exploitable

Comment 7 Tom Hughes 2013-12-16 23:11:20 UTC
Created attachment 837462 [details]
File: limits

Comment 8 Tom Hughes 2013-12-16 23:11:24 UTC
Created attachment 837463 [details]
File: maps

Comment 9 Tom Hughes 2013-12-16 23:11:26 UTC
Created attachment 837464 [details]
File: open_fds

Comment 10 Tom Hughes 2013-12-16 23:11:30 UTC
Created attachment 837465 [details]
File: proc_pid_status

Comment 11 Tom Hughes 2013-12-16 23:11:35 UTC
Created attachment 837466 [details]
File: var_log_messages

Comment 12 Eugene Grybinnyk 2013-12-23 18:38:16 UTC
Another user experienced a similar problem:

I've tried to open personal certificate from Gnome Activities view

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/seahorse --no-window
crash_function: handle_activate_result
executable:     /usr/bin/seahorse
kernel:         3.12.5-302.fc20.x86_64
package:        seahorse-3.10.1-1.fc20
reason:         seahorse killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Branko Grubić 2014-09-23 07:35:55 UTC
I added upstream bug report, I was able to reproduce this, and actually it is not realted to bug #1062922 (I was wrong)

Comment 14 Fedora End Of Life 2015-05-29 10:00:39 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 13:33:29 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.